using DiunaBI.Domain.Entities;
using DiunaBI.Infrastructure.Interfaces;

namespace DiunaBI.Infrastructure.Plugins;

public abstract class BaseDataImporter : IDataImporter
{
    public abstract string ImporterType { get; }

    public virtual bool CanImport(string importerType) => ImporterType == importerType;

    public abstract void Import(Layer importWorker);
}
